Recommended update for bash

SUSE Recommended Update: Recommended update for bash
Announcement ID: SUSE-RU-2018:3079-1
Rating: moderate
References: #1095661 #1095670 #1100488
Affected Products:
  • SUSE Linux Enterprise Module for Basesystem 15

An update that has three recommended fixes can now be installed.

Description:

This update for bash provides the following fixes:

  • Bugfix: Parse settings in inputrc for all screen TERM variables starting with "screen." (bsc#1095661)
  • Make the generation of bash.html reproducible. (bsc#1100488)
  • Use initgroups(3) instead of setgroups(2) to fix the usage of suid programs. (bsc#1095670)
  • Fix a problem that could cause hash table bash uses to store exit statuses from asynchronous processes to develop loops in circumstances involving long-running scripts that create and reap many processes.
  • Fix a problem that could cause the shell to loop if a SIGINT is received inside of a SIGINT trap handler.
  • Fix cases where a failing readline command (e.g., delete-char at the end of a line) can cause a multi-character key sequence to 'back up' and attempt to re-read some of the characters in the sequence.
  • Fix a problem when sourcing a file from an interactive shell, that setting the SIGINT handler to the default and typing ^C would cause the shell to exit.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2177=1

Package List:

  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • bash-4.4-9.7.1
    • bash-debuginfo-4.4-9.7.1
    • bash-debugsource-4.4-9.7.1
    • bash-devel-4.4-9.7.1
    • libreadline7-7.0-9.7.1
    • libreadline7-debuginfo-7.0-9.7.1
    • readline-devel-7.0-9.7.1
  • SUSE Linux Enterprise Module for Basesystem 15 (noarch):
    • bash-doc-4.4-9.7.1
    • bash-lang-4.4-9.7.1
    • readline-doc-7.0-9.7.1

References: